Company
GET /api/v1/company
Needs company:read. Your company's name and scheduling defaults.
{
"data": {
"id": "0195f0a1-7c2e-7b3a-9d41-6f0a2c8e1b03",
"name": "North Stores",
"slug": "north-stores",
"week_starts_on": 0,
"slot_minutes": 15,
"day_starts_at": "08:00",
"day_ends_at": "18:00",
"schedule_period": "weekly"
}
}
PATCH /api/v1/company
Needs company:update, and permission to manage company settings. Send any of name, week_starts_on, slot_minutes, day_starts_at, day_ends_at, schedule_period. Locations and calendars can override the scheduling defaults.